# Class ContextConfig.JavaClassCacheEntry

java.lang.Object
org.apache.catalina.startup.ContextConfig.JavaClassCacheEntry

Enclosing class:
  `ContextConfig`

protected static class ContextConfig.JavaClassCacheEntry extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String[]`
  `interfaceNames`
  `final String`
  `superclassName`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getInterfaceNames()`
  `Set<ServletContainerInitializer>`
  `getSciSet()`
  `String`
  `getSuperclassName()`
  `void`
  `setSciSet(Set<ServletContainerInitializer> sciSet)`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### superclassName

    public final String superclassName

  - ### interfaceNames

    public final String[] interfaceNames

- ## Method Details

  - ### getSuperclassName

    public String getSuperclassName()

  - ### getInterfaceNames

    public String[] getInterfaceNames()

  - ### getSciSet

    public Set<ServletContainerInitializer> getSciSet()

  - ### setSciSet

    public void setSciSet(Set<ServletContainerInitializer> sciSet)